import React from 'react';

import calcFill from './fill';
export default ({
  fill = null,
  light = false,
  disabled = false,
  colors = {},
  ...rest
}) => (
  <svg
    id="svg4300"
    xmlns="http://www.w3.org/2000/svg"
    viewBox="0 0 42 42"
    {...rest}
  >
    <defs>
      <style
        dangerouslySetInnerHTML={{
          __html:
            '.cls-1{fill:none}.cls-2,.cls-4{fill:#fff}.cls-2{opacity:.5;isolation:isolate}.cls-3{opacity:.25}.cls-5{clip-path:url(#clip-path)}'
        }}
      />
      <clipPath id="clip-path">
        <path
          className="cls-1"
          d="M21.11 36.7s-9.2-6.3-8.7-17.3 7-16.5 8.3-17.5a2.48 2.48 0 0 0 .9-2.1c.6 1.2.5 18.4.5 20.4.3 7.8-.4 15-1 16.5z"
        />
      </clipPath>
    </defs>
    <title>Artboard 1 copy 8</title>
    <path
      fill={calcFill({ fill, disabled, light, colors })}
      d="M30.91 16.5c-2.2-9.7-7.4-12.9-8-14.1a16.31 16.31 0 0 1-1.2-2.4v-.1a2.8 2.8 0 0 1-.9 2.1c-1.3 1-7.7 6.4-8.3 17.5C12 29.8 20 36 21 36.7a14.06 14.06 0 0 1 .7 4.9l1.1.4a22.75 22.75 0 0 1 .1-4.4 2.38 2.38 0 0 1 .6-1.1 11.46 11.46 0 0 0 1.4-1.1h.1a21.29 21.29 0 0 0 5.91-18.9z"
    />
    <path
      className="cls-2"
      d="M23.41 36.4c-1.1-.5-1.4-2.9-1.5-5.1a23.76 23.76 0 0 1-.8 5.5l-.1-.1a14.06 14.06 0 0 1 .7 4.9l1.1.4a22.75 22.75 0 0 1 .1-4.4 2.25 2.25 0 0 1 .5-1.2z"
    />
    <g id="g48" className="cls-3">
      <path
        id="SVGID"
        className="cls-4"
        d="M21.11 36.7s-9.2-6.3-8.7-17.3 7-16.5 8.3-17.5a2.48 2.48 0 0 0 .9-2.1c.6 1.2.5 18.4.5 20.4.3 7.8-.4 15-1 16.5z"
      />
      <g className="cls-5">
        <g id="g50">
          <path
            id="path62"
            className="cls-4"
            d="M21.11 36.7s-9.2-6.3-8.7-17.3 7-16.5 8.3-17.5a2.48 2.48 0 0 0 .9-2.1c.6 1.2.5 18.4.5 20.4.3 7.8-.4 15-1 16.5"
          />
        </g>
      </g>
    </g>
  </svg>
);
